#!/bin/ksh
#
# $Id: pnedcp_end.sh,v 1.10 2012/02/14 04:33:34 root Exp root $
#
# The following code is Confidential and is covered by the installation license
# Copyright 2004-2012 by Midrange Performance Group
#
#&& Power Navigator External Data Collection Process (pnedcp_end.sh)
#& This script runs at the end of the collection process.
# 
# No variable in place in config currently.
invocdir=`dirname $0`
# Load the Power Navigator External Data Collection configuration options
. ${invocdir}/pnedcp.config

# snapshot id #
nm_nmbr=$1

# sleep may be necessary to ensure that nmon has finished writing it's date
# sleep 10

# If additional data is gathered in the future, add it here.

# Place an end of file note at end of all snaps


# All items that write to pnedcp_out need to go in the loop below
if [ "$ext_data_collect" = "T" ] ; then
   echo "PNEND,End_of_File" >>  ${pnedcp_out}
fi
# End of loop for writing to pnedcp_out file

# There may be additional information that needs to be added to the end of snaps, but not at the present.
# Future enhancement, each type of snapshot may be configured via a configuration file.

